<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es006</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@1.0.0/css/bulma.min.css">
</head>

<body>
    <div class="ml-6 mt-6" id="root">
        <h1 class="title">es006 component</h1>
        <div class="mb-2">
            <label class="label">memo</label>
            <input class="input" style="width: 400px;" v-model="text" placeholder="memo text" />
            <button class="button ml-2 is-primary" @click="addMemo(text)">add</button>
        </div>

        <span class="m-1" v-for="(item, index) in memos">
            <memo :text="item.text"></memo>
        </span>

        <p v-if="memos.length != 0">
            <button class="button mt-2 is-danger" v-on:click="deleteAll">delete all</button>
        </p>
    </div>
    <script src="app.js"></script>
</body>

</html>